<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout3}">
<head>
    <meta charset="UTF-8">
    <title>HRIS Overtime Request </title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_request::sidebar_request" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    <i class="fa fa-calendar-plus" style="color: #9B7536"></i> Overtime Request
                </div>
            </div>
        </div>

        <div class="alert alert-success" th:if="${success != null}">
            <h4>Save Data Success!</h4>

            <p>Data Berhasil Disimpan.</p>
        </div>

        <div class="alert alert-success" th:if="${deleted != null}">
            <h4>Save Data Success!</h4>

            <p>Data Berhasil Dihapus.</p>
        </div>

        <div class="alert alert-danger" th:if="${gagal != null}">
            <h4>Save Data Unsuccesfully!</h4>

            <p>
                Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya.
                hapus anggaran terlebih dahulu sebelum menghapus departemen ini..
            </p>
        </div>

        <div class="row">
            <div class="col-md-6">
                <!--            <h3 class="box-title">List of Budget Line</h3>-->
                <p>
                    <a
                            class="link-primary"
                            th:href="@{/request/overtime/new}"
                            role="button"
                    >Click here</a
                    >
                    For new overtime request.
                </p>
            </div>
            <div class="col-md-6" align="right"></div>
        </div>


        <div class="row">
            <div class="col-md-12">
                <table class="table table-hover table-striped small">
                    <thead>

                    <tr>
                        <th class="border-dark border-start-0 border-end-0 text-end" scope="col" style="width: 10px">#</th>
                        <th class="border-dark border-start-0 border-end-0" scope="col" style="width: 100px">Request Date</th>
                        <th class="border-dark border-start-0 border-end-0" scope="col" style="width: 100px">Date</th>
                        <th class="border-dark border-start-0 border-end-0" scope="col" style="width: 140px">Time</th>
<!--                        <th class="border-dark border-start-0 border-end-0" scope="col"></th>-->
<!--                        <th class="border-dark border-start-0 border-end-0" scope="col"></th>-->
                        <th class="border-dark border-start-0 border-end-0" scope="col">Desc</th>
                        <th class="border-dark border-start-0 border-end-0" scope="col" style="width: 40px"></th>
<!--                        <th class="border-0 border-bottom" scope="col" style="width: 40px"></th>-->
                        <th class="border-dark border-start-0 border-end-0" scope="col" style="width: 40px"></th>
                    </tr>
                    </thead>
                    <tbody class="align-middle">
                    <tr th:each="dataOvertimeRequest,row : ${listOvertimeRequest}">
                        <td class="border-0 border-bottom text-end" th:text="${(row.index + 1) + (listOvertimeRequest.number * listOvertimeRequest.size)}">1.</td>
                        <td class="border-0 border-bottom" th:text="${#temporals.format(dataOvertimeRequest.tanggal,'dd-MMM-yyyy')}">BEASISWA</td>
                        <td class="border-0 border-bottom" th:text="${#temporals.format(dataOvertimeRequest.tanggalOvertime,'dd-MMM-yyyy')}">BEASISWA</td>
                        <td class="border-0 border-bottom" th:inline="text" th:text="${#temporals.format(dataOvertimeRequest.getOvertimeFrom(),'hh:mm a') + '-' + #temporals.format(dataOvertimeRequest.getOvertimeTo(),'hh:mm a')}">BEASISWA</td>
<!--                        <td class="border-0 border-bottom" th:text="${#temporals.format(dataOvertimeRequest.getOvertimeTo(),'hh:mm a')}">BEASISWA</td>-->
<!--                        <td class="border-0 border-bottom" th:text="${dataOvertimeRequest.getJenis()}">BEASISWA</td>-->
<!--                        <td class="border-0 border-bottom" th:text="${dataOvertimeRequest.getKelas()}">BEASISWA</td>-->
                        <td class="border-0 border-bottom" th:text="${dataOvertimeRequest.getKeterangan()}">BEASISWA</td>
                        <td class="border-0 border-bottom" th:if="${dataOvertimeRequest.statusApprove.toString().equals('WAITING')}">
                            <button type="button" class="btn btn-outline-secondary" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" data-bs-toggle="modal"
                                    th:attr="data-bs-target='#exampleModal'+${dataOvertimeRequest.getId()}">
                                <span th:text="${dataOvertimeRequest.statusApprove}"></span>
                            </button>
                        </td>
                        <td class="border-0 border-bottom" th:if="${dataOvertimeRequest.statusApprove.toString().equals('APPROVED')}">
                            <button type="button" class="btn btn-outline-success" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" data-bs-toggle="modal"
                                    th:attr="data-bs-target='#exampleModal'+${dataOvertimeRequest.getId()}">
                                <span th:text="${dataOvertimeRequest.statusApprove}"></span>
                            </button>
                        </td>
                        <td class="border-0 border-bottom" th:if="${dataOvertimeRequest.statusApprove.toString().equals('REJECTED') || dataOvertimeRequest.statusApprove.toString().equals('CANCELED')}">
                            <button type="button" class="btn btn-outline-danger" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;" data-bs-toggle="modal"
                                    th:attr="data-bs-target='#exampleModal'+${dataOvertimeRequest.getId()}">
                                <span th:text="${dataOvertimeRequest.statusApprove}"></span>
                            </button>
                        </td>
<!--                        <td class="border-0 border-bottom">-->
<!--                            <a th:href="@{/request/overtime/edit(overtimeRequest=${dataOvertimeRequest.id})}" class="btn btn-primary" style="&#45;&#45;bs-btn-padding-y: .25rem; &#45;&#45;bs-btn-padding-x: .5rem; &#45;&#45;bs-btn-font-size: .75rem;">Edit</a>-->
<!--                        </td>-->
                        <td class="border-0 border-bottom">
                            <form method="post" th:action="@{/request/overtime/delete(overtimeRequest=${dataOvertimeRequest.id})}">
                                <button type="submit" class="btn btn-danger" style="--bs-btn-padding-y: .25rem; --bs-btn-padding-x: .5rem; --bs-btn-font-size: .75rem;"
                                        onclick="return confirm('Are you sure want to cancel this?')">
                                    Cancel
                                </button>
                            </form>
                        </td>

                    </tr>
                    </tbody>
                </table>

                <div th:each="dataOvertimeRequest,row : ${listOvertimeRequest}">
                    <div class="modal fade" th:id="exampleModal+${dataOvertimeRequest.getId()}"
                         tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">

                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h4 class="modal-title">Detail Approval</h4>
                                </div>
                                <div class="modal-body">
                                    &nbsp;
                                    <table class="table table-striped table-bordered small">
                                        <tr th:each="dataApproval, stat: *{listApproval}">
                                            <td class="border-0 border-bottom" th:if="${dataApproval.getOverTimeRequest()} == ${dataOvertimeRequest.id}">
                                                <span th:text="${dataApproval.getNomor()}">Update software</span>
                                            </td>
                                            <td class="border-0 border-bottom" th:if="${dataApproval.getOverTimeRequest()} == ${dataOvertimeRequest.id}">
                                                <span th:text="${dataApproval.getEmployee()}">Update software</span>
                                            </td>
                                            <td class="border-0 border-bottom" th:if="${dataApproval.getOverTimeRequest()} == ${dataOvertimeRequest.id}">
                                                <span th:text="${dataApproval.getPosition()}">Update software</span>
                                            </td>
                                            <td class="border-0 border-bottom" th:if="${dataApproval.getOverTimeRequest()} == ${dataOvertimeRequest.id}">
                                                <span th:text="${dataApproval.getApprove()}">Update software</span>
                                            </td>
                                            <td class="border-0 border-bottom" th:if="${dataApproval.getOverTimeRequest()} == ${dataOvertimeRequest.id} and ${dataApproval.getTanggalApprove()} != null ">
                                                <span th:text="${dataApproval.getTanggalApprove()}">Update software</span>
                                            </td>
                                            <td class="border-0 border-bottom" th:if="${dataApproval.getOverTimeRequest()} == ${dataOvertimeRequest.id} and ${dataApproval.getKeterangan()} != 'Approve' ">
                                                <span th:text="${dataApproval.getKeterangan()}">Update software</span>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                                </div>
                            </div>
                            <!-- /.modal-content -->
                        </div>
                        <!-- /.modal-dialog -->
                    </div>
                </div>
            </div>
            <br />

            <nav aria-label="Page navigation example">
                <ul class="pagination" sd:pagination="full"></ul>
            </nav>
        </div>
    </main>

</main>
</body>
</html>

